Bug 1889932 (CVE-2020-15683) - CVE-2020-15683 Mozilla: Memory safety bugs fixed in Firefox 82 and Firefox ESR 78.4
Summary: CVE-2020-15683 Mozilla: Memory safety bugs fixed in Firefox 82 and Firefox ES...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15683
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1889226 1889221 1889222 1889223 1889224 1889225 1889227 1889231 1889232 1889233 1889234 1889235 1889236 1889237
Blocks: 1889219
TreeView+ depends on / blocked
 
Reported: 2020-10-21 00:46 UTC by Doran Moppert
Modified: 2020-11-05 09:29 UTC (History)
6 users (show)

Fixed In Version: firefox 78.4, thunderbird 78.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-22 20:21:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4310 None None None 2020-10-22 17:15:56 UTC
Red Hat Product Errata RHSA-2020:4311 None None None 2020-10-22 16:34:06 UTC
Red Hat Product Errata RHSA-2020:4315 None None None 2020-10-22 17:37:23 UTC
Red Hat Product Errata RHSA-2020:4317 None None None 2020-10-22 20:52:02 UTC
Red Hat Product Errata RHSA-2020:4330 None None None 2020-10-26 08:59:52 UTC
Red Hat Product Errata RHSA-2020:4909 None None None 2020-11-04 14:19:50 UTC
Red Hat Product Errata RHSA-2020:4913 None None None 2020-11-04 13:25:59 UTC
Red Hat Product Errata RHSA-2020:4944 None None None 2020-11-05 08:56:07 UTC
Red Hat Product Errata RHSA-2020:4945 None None None 2020-11-05 09:06:38 UTC
Red Hat Product Errata RHSA-2020:4947 None None None 2020-11-05 09:29:48 UTC
Red Hat Product Errata RHSA-2020:4948 None None None 2020-11-05 08:54:24 UTC

Description Doran Moppert 2020-10-21 00:46:29 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 81 and Firefox ESR 78.3. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-46/#CVE-2020-15683

Comment 1 Doran Moppert 2020-10-21 00:46:33 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Jason Kratzer, Simon Giesecke, Philipp, Christian Holler

Comment 6 errata-xmlrpc 2020-10-22 16:34:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:4311 https://access.redhat.com/errata/RHSA-2020:4311

Comment 9 errata-xmlrpc 2020-10-22 17:15:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4310 https://access.redhat.com/errata/RHSA-2020:4310

Comment 10 errata-xmlrpc 2020-10-22 17:37:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4315 https://access.redhat.com/errata/RHSA-2020:4315

Comment 13 Product Security DevOps Team 2020-10-22 20:21:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15683

Comment 14 errata-xmlrpc 2020-10-22 20:52:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4317 https://access.redhat.com/errata/RHSA-2020:4317

Comment 17 errata-xmlrpc 2020-10-26 08:59:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:4330 https://access.redhat.com/errata/RHSA-2020:4330

Comment 36 errata-xmlrpc 2020-11-04 13:25:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4913 https://access.redhat.com/errata/RHSA-2020:4913

Comment 37 errata-xmlrpc 2020-11-04 14:19:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4909 https://access.redhat.com/errata/RHSA-2020:4909

Comment 43 errata-xmlrpc 2020-11-05 08:54:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:4948 https://access.redhat.com/errata/RHSA-2020:4948

Comment 44 errata-xmlrpc 2020-11-05 08:56:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:4944 https://access.redhat.com/errata/RHSA-2020:4944

Comment 45 errata-xmlrpc 2020-11-05 09:06:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4945 https://access.redhat.com/errata/RHSA-2020:4945

Comment 46 errata-xmlrpc 2020-11-05 09:29:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:4947 https://access.redhat.com/errata/RHSA-2020:4947


Note You need to log in before you can comment on or make changes to this bug.